/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
// Header files from Control Toolbox to be precompiled.
//

#ifndef CONTROL_TOOLBOX_H
#define CONTROL_TOOLBOX_H

#include <Eigen/Dense>

#include <ct/core/core.h>
#include <ct/core/systems/continuous_time/linear/AutoDiffLinearizer.h>
#include <ct/core/systems/linearizer/DynamicsLinearizerAD.h>
#include <ct/optcon/optcon.h>

#include <ct/optcon/solver/NLOptConSettings.hpp>

#include "cppad_utils.h"

#endif  // CONTROL_TOOLBOX_H
